Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text
Class DecimalFormat

    java.lang.Object
      |
      +--java.text.Format
            |
            +--java.text.NumberFormat
                  |
                  +--java.text.DecimalFormat

All Implemented Interfaces:
  Cloneable, Serializable

public class DecimalFormat
extends NumberFormat

`DecimalFormat` is a concrete subclass of `NumberFormat` that formats decimal numbers. It has a variety of features designed to make it possible to parse and format numbers in any locale, including support for Western, Arabic, and Indic digits. It also supports different kinds of numbers, including integers (123), fixed-point numbers (123.4), scientific notation (1.23E4), percentages (12%), and currency amounts ($123). All of these can be localized.

To obtain a `NumberFormat` for a specific locale, including the default locale, call one of `NumberFormat`'s factory methods, such as `getInstance()`. In general, do not call the `DecimalFormat` constructors directly, since the `NumberFormat` factory methods may return subclasses other than `DecimalFormat`. If you need to customize the format object, do something like this:

>      NumberFormat f = NumberFormat.getInstance(loc);
>      if (f instanceof DecimalFormat) {
>          ((DecimalFormat) f).setDecimalSeparatorAlwaysShown(true);
>      }

A `DecimalFormat` comprises a pattern and a set of symbols. The pattern may be set directly using `applyPattern()`, or indirectly using the API methods. The symbols are stored in a `DecimalFormatSymbols` object. When using the `NumberFormat` factory methods, the pattern and symbols are read from localized `ResourceBundle`s in the package `java.text.resource`.

Example

>      // Print out a number using the localized number, currency,
>      // and percent format for each locale
>      Locale[] locales = NumberFormat.getAvailableLocales();
>      double myNumber = -1234.56;
>      NumberFormat form;
>      for (int j=0; j<3; ++j) {
>          System.out.println("FORMAT");
>          for (int i = 0; i < locales.length; ++i) {
>              if (locales[i].getCountry().length() == 0) {
>                 continue; // Skip language-only locales
>              }
>              System.out.print(locales[i].getDisplayName());
>              switch (j) {
>              case 0:
>                  form = NumberFormat.getInstance(locales[i]); break;
>              case 1:
>                  form = NumberFormat.getCurrencyInstance(locales[i]); break;
>              default:
>                  form = NumberFormat.getPercentInstance(locales[i]); break;
>              }
>              try {
>                  // Assume form is a DecimalFormat
>                  System.out.print(": " + ((DecimalFormat) form).toPattern()
>                                   + " -> " + form.format(myNumber));
>              } catch (IllegalArgumentException e) {}
>              try {
>                  System.out.println(" -> " + form.parse(form.format(myNumber)));
>              } catch (ParseException e) {}
>          }
>      }

Patterns

A `DecimalFormat` pattern contains a postive and negative subpattern, for example, "#,##0.00;(#,##0.00)". Each subpattern has a prefix, numeric part, and suffix. The negative subpattern is optional; if absent, then the positive subpattern prefixed with the localized minus sign ('-' in most locales) is used as the negative subpattern. That is, "0.00" alone is equivalent to "0.00;-0.00". If there is an explicit negative subpattern, it serves only to specify the negative prefix and suffix; the number of digits, minimal digits, and other characteristics are all the same as the positive pattern. That means that "#,##0.0#;(#)" produces precisely the same behavior as "#,##0.0#;(#,##0.0#)".

The prefixes, suffixes, and various symbols used for infinity, digits, thousands separators, decimal separators, etc. may be set to arbitrary values, and they will appear properly during formatting. However, care must be taken that the symbols and strings do not conflict, or parsing will be unreliable. For example, either the positive and negative prefixes or the suffixes must be distinct for `DecimalFormat.parse()` to be able to distinguish positive from negative values. (If they are identical, then `DecimalFormat` will behave as if no negative subpattern was specified.) Another example is that the decimal separator and thousands separator should be distinct characters, or parsing will be impossible.

The grouping separator is commonly used for thousands, but in some countries it separates ten-thousands. The grouping size is a constant number of digits between the grouping characters, such as 3 for 100,000,000 or 4 for 1,0000,0000. If you supply a pattern with multiple grouping characters, the interval between the last one and the end of the integer is the one that is used. So "#,##,###,####" == "######,####" == "##,####,####".

Illegal patterns, such as "#.#.#" or "#.###,###", will cause `DecimalFormat` to throw an `IllegalArgumentException` with a message that describes the problem.

Parsing

`DecimalFormat` parses all Unicode characters that represent decimal digits, as defined by `Character.digit()`. In addition, `DecimalFormat` also recognizes as digits the ten consecutive characters starting with the localized zero digit defined in the `DecimalFormatSymbols` object. During formatting, the `DecimalFormatSymbols`-based digits are output.

`DecimalFormat.parse` returns a subclass of `java.lang.Number` representing the parsed numeric string. `DecimalFormat` chooses the most economical subclass that can represent the numeric string. This means most integer values are returned as `Long` objects, no matter how they are written: "17" and "17.000" both parse to `Long(17)`. Values that cannot fit into a `Long` are returned as `Double`s. This includes values with a fractional part, infinite values, `NaN`, and the value -0.0. `DecimalFormat` does not decide whether to return a `Double` or a `Long` based on the presence of a decimal separator in the source string. Doing so would prevent integers that overflow the mantissa of a double, such as "10,000,000,000,000,000.00", from being parsed accurately. Currently, the only classes that `DecimalFormat` returns are `Long` and `Double`, but callers should not rely on this. Callers may use the `Number` methods `doubleValue`, `longValue`, etc., to obtain the type they want.

If `DecimalFormat.parse(String, ParsePosition)` fails to parse a string, it returns `null`, leaves the `ParsePosition` index unchanged, and sets the `ParsePosition` error index. The convenience method `DecimalFormat.parse(String)` indicates parse failure by throwing a `ParseException`.

Special Values

`NaN` is formatted as a single character, typically `\uFFFD`. This character is determined by the `DecimalFormatSymbols` object. This is the only value for which the prefixes and suffixes are not used.

Infinity is formatted as a single character, typically `\u221E`, with the positive or negative prefixes and suffixes applied. The infinity character is determined by the `DecimalFormatSymbols` object.

Negative zero ("-0") parses to `Double(-0.0)`, unless `isParseIntegerOnly()` is true, in which case it parses to `Long(0)`.

Scientific Notation

Numbers in scientific notation are expressed as the product of a mantissa and a power of ten, for example, 1234 can be expressed as 1.234 x 10^3. The mantissa is often in the range 1.0 <= x < 10.0, but it need not be. `DecimalFormat` can be instructed to format and parse scientific notation only via a pattern; there is currently no factory method that creates a scientific notation format. In a pattern, the exponent character immediately followed by one or more digit characters indicates scientific notation. Example: "0.###E0" formats the number 1234 as "1.234E3".

- The number of digit characters after the exponent character gives the minimum exponent digit count. There is no maximum. Negative exponents are formatted using the localized minus sign, not the prefix and suffix from the pattern. This allows patterns such as "0.###E0 m/s".
- The minimum and maximum number of integer digits are interpreted together:
  - If the maximum number of integer digits is greater than their minimum number and greater than 1, it forces the exponent to be a multiple of the maximum number of integer digits, and the minimum number of integer digits to be interpreted as 1. The most common use of this is to generate engineering notation, in which the exponent is a multiple of three, e.g., "##0.#####E0". Using this pattern, the number 12345 formats to "12.345E3", and 123456 formats to "123.456E3".
  - Otherwise, the minimum number of integer digits is achieved by adjusting the exponent. Example: 0.00123 formatted with "00.###E0" yields "12.3E-4".
- The number of significant digits in the mantissa is the sum of the minimum integer and maximum fraction digits, and is unaffected by the maximum integer digits. For example, 12345 formatted with "##0.##E0" is "12.3E3". To show all digits, set the significant digits count to zero. The number of significant digits does not affect parsing.
- Exponential patterns may not contain grouping separators.

Pattern Syntax

     pattern     := pos_pattern{';' neg_pattern}
     pos_pattern := {prefix}number{suffix}
     neg_pattern := {prefix}number{suffix}
     number      := integer{'.' fraction}{exponent}
     prefix      := '\u0000'..'\uFFFD' - special_characters
     suffix      := '\u0000'..'\uFFFD' - special_characters
     integer     := min_int | '#' | '#' integer | '#' ',' integer
     min_int     := '0' | '0' min_int | '0' ',' min_int
     fraction    := '0'* '#'*
     exponent    := 'E' '0' '0'*

     Notation:
       X*       0 or more instances of X
       { X }    0 or 1 instances of X
       X | Y    either X or Y
       X..Y     any character from X up to Y, inclusive
       S - T    characters in S, except those in T

Special Pattern Characters

Many characters in a pattern are taken literally; they are matched during parsing and output unchanged during formatting. Special characters, on the other hand, stand for other characters, strings, or classes of characters. They must be quoted, unless noted otherwise, if they are to appear in the prefix or suffix as literals.

The characters listed here are used in non-localized patterns. Localized patterns use the corresponding characters taken from this formatter's `DecimalFormatSymbols` object instead, and these characters lose their special status. Two exceptions are the currency sign and quote, which are not localized.

Symbol | Location | Localized? | Meaning
--- | --- | --- | ---
0 | Number | Y | Digit
# | Number | Y | Digit, zero shows as absent
. | Number | Y | Decimal separator or monetary decimal separator
- | Number | Y | Minus sign
, | Number | Y | Grouping separator
E | Number | Y | Separates mantissa and exponent in scientific notation. Need not be quoted in prefix or suffix.
; | Subpattern boundary | Y | Separates positive and negative subpatterns
% | Prefix or suffix | Y | Multiply by 100 and show as percentage
\u2030 | Prefix or suffix | Y | Multiply by 1000 and show as per mille
¤ (\u00A4) | Prefix or suffix | N | Currency sign, replaced by currency symbol. If doubled, replaced by international currency symbol. If present in a pattern, the monetary decimal separator is used instead of the decimal separator.
' | Prefix or suffix | N | Used to quote special characters in a prefix or suffix, for example, `"'#'#"` formats 123 to `"#123"`. To create a single quote itself, use two in a row: `"# o''clock"`.

See Also:
  `Format`, `NumberFormat`, `ChoiceFormat`, `ParsePosition`, Serialized Form

Fields inherited from class java.text.NumberFormat
`FRACTION_FIELD, INTEGER_FIELD`

Constructor Summary
`DecimalFormat()` Create a DecimalFormat using the default pattern and symbols for the default locale.
`DecimalFormat(String pattern)` Create a DecimalFormat from the given pattern and the symbols for the default locale.
`DecimalFormat(String pattern, DecimalFormatSymbols symbols)` Create a DecimalFormat from the given pattern and symbols.

Method Summary
`void` | `applyLocalizedPattern(String pattern)` Apply the given pattern to this Format object.
`void` | `applyPattern(String pattern)` Apply the given pattern to this Format object.
`Object` | `clone()` Standard override; no change in semantics.
`boolean` | `equals(Object obj)` Overrides equals
`StringBuffer` | `format(double number, StringBuffer result, FieldPosition fieldPosition)` Formats a double to produce a string.
`StringBuffer` | `format(long number, StringBuffer result, FieldPosition fieldPosition)` Format a long to produce a string.
`DecimalFormatSymbols` | `getDecimalFormatSymbols()` Returns the decimal format symbols, which is generally not changed by the programmer or user.
`int` | `getGroupingSize()` Return the grouping size.
`int` | `getMultiplier()` Get the multiplier for use in percent, permill, etc.
`String` | `getNegativePrefix()` Get the negative prefix.
`String` | `getNegativeSuffix()` Get the negative suffix.
`String` | `getPositivePrefix()` Get the positive prefix.
`String` | `getPositiveSuffix()` Get the positive suffix.
`int` | `hashCode()` Overrides hashCode
`boolean` | `isDecimalSeparatorAlwaysShown()` Allows you to get the behavior of the decimal separator with integers.
`Number` | `parse(String text, ParsePosition parsePosition)` Returns an instance of `Number` with a value matching the given string.
`void` | `setDecimalFormatSymbols(DecimalFormatSymbols newSymbols)` Sets the decimal format symbols, which is generally not changed by the programmer or user.
`void` | `setDecimalSeparatorAlwaysShown(boolean newValue)` Allows you to set the behavior of the decimal separator with integers.
`void` | `setGroupingSize(int newValue)` Set the grouping size.
`void` | `setMaximumFractionDigits(int newValue)` Sets the maximum number of digits allowed in the fraction portion of a number.
`void` | `setMaximumIntegerDigits(int newValue)` Sets the maximum number of digits allowed in the integer portion of a number.
`void` | `setMinimumFractionDigits(int newValue)` Sets the minimum number of digits allowed in the fraction portion of a number.
`void` | `setMinimumIntegerDigits(int newValue)` Sets the minimum number of digits allowed in the integer portion of a number.
`void` | `setMultiplier(int newValue)` Set the multiplier for use in percent, permill, etc.
`void` | `setNegativePrefix(String newValue)` Set the negative prefix.
`void` | `setNegativeSuffix(String newValue)` Set the positive suffix.
`void` | `setPositivePrefix(String newValue)` Set the positive prefix.
`void` | `setPositiveSuffix(String newValue)` Set the positive suffix.
`String` | `toLocalizedPattern()` Synthesizes a localized pattern string that represents the current state of this Format object.
`String` | `toPattern()` Synthesizes a pattern string that represents the current state of this Format object.

Methods inherited from class java.text.NumberFormat
`format, format, format, getAvailableLocales, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setGroupingUsed, setParseIntegerOnly`

Methods inherited from class java.text.Format
`format, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalFormat

    public DecimalFormat()

  Create a DecimalFormat using the default pattern and symbols for the default locale. This is a convenient way to obtain a DecimalFormat when internationalization is not the main concern.

  To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getNumberInstance. These factories will return the most appropriate sub-class of NumberFormat for a given locale.

  See Also:
    `NumberFormat.getInstance()`, `NumberFormat.getNumberInstance()`, `NumberFormat.getCurrencyInstance()`, `NumberFormat.getPercentInstance()`

### DecimalFormat

    public DecimalFormat(String pattern)

  Create a DecimalFormat from the given pattern and the symbols for the default locale. This is a convenient way to obtain a DecimalFormat when internationalization is not the main concern.

  To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getNumberInstance. These factories will return the most appropriate sub-class of NumberFormat for a given locale.

  Parameters:
    `pattern` - A non-localized pattern string.
  Throws:
    `IllegalArgumentException` - if the given pattern is invalid.
  See Also:
    `NumberFormat.getInstance()`, `NumberFormat.getNumberInstance()`, `NumberFormat.getCurrencyInstance()`, `NumberFormat.getPercentInstance()`

### DecimalFormat

    public DecimalFormat(String pattern,
                         DecimalFormatSymbols symbols)

  Create a DecimalFormat from the given pattern and symbols. Use this constructor when you need to completely customize the behavior of the format.

  To obtain standard formats for a given locale, use the factory methods on NumberFormat such as getInstance or getCurrencyInstance. If you need only minor adjustments to a standard format, you can modify the format returned by a NumberFormat factory method.

  Parameters:
    `pattern` - a non-localized pattern string
    `symbols` - the set of symbols to be used
  Throws:
    `IllegalArgumentException` - if the given pattern is invalid
  See Also:
    `NumberFormat.getInstance()`, `NumberFormat.getNumberInstance()`, `NumberFormat.getCurrencyInstance()`, `NumberFormat.getPercentInstance()`, `DecimalFormatSymbols`

Method Detail

### format

    public StringBuffer format(double number,
                               StringBuffer result,
                               FieldPosition fieldPosition)

  Formats a double to produce a string.
  Overrides:
    `format` in class `NumberFormat`
  Parameters:
    `number` - The double to format
    `toAppendTo` - where the text is to be appended
    `fieldPosition` - On input: an alignment field, if desired. On output: the offsets of the alignment field.
  Returns:
    The value passed in as the result parameter
  See Also:
    `FieldPosition`

### format

    public StringBuffer format(long number,
                               StringBuffer result,
                               FieldPosition fieldPosition)

  Format a long to produce a string.
  Overrides:
    `format` in class `NumberFormat`
  Parameters:
    `number` - The long to format
    `toAppendTo` - where the text is to be appended
    `fieldPosition` - On input: an alignment field, if desired. On output: the offsets of the alignment field.
  Returns:
    The value passed in as the result parameter
  See Also:
    `FieldPosition`

### parse

    public Number parse(String text,
                        ParsePosition parsePosition)

  Returns an instance of `Number` with a value matching the given string. The most economical subclass that can represent all the bits of the source string is chosen.
  Overrides:
    `parse` in class `NumberFormat`
  Parameters:
    `text` - the string to be parsed
    `parsePosition` - on entry, where to begin parsing; on exit, just past the last parsed character. If parsing fails, the index will not move and the error index will be set.
  Returns:
    the parsed value, or `null` if the parse fails

### getDecimalFormatSymbols

    public DecimalFormatSymbols getDecimalFormatSymbols()

  Returns the decimal format symbols, which is generally not changed by the programmer or user.
  Returns:
    desired DecimalFormatSymbols
  See Also:
    `DecimalFormatSymbols`

### setDecimalFormatSymbols

    public void setDecimalFormatSymbols(DecimalFormatSymbols newSymbols)

  Sets the decimal format symbols, which is generally not changed by the programmer or user.
  Parameters:
    `newSymbols` - desired DecimalFormatSymbols
  See Also:
    `DecimalFormatSymbols`

### getPositivePrefix

    public String getPositivePrefix()

  Get the positive prefix.

  Examples: +123, $123, sFr123

### setPositivePrefix

    public void setPositivePrefix(String newValue)

  Set the positive prefix.

  Examples: +123, $123, sFr123

### getNegativePrefix

    public String getNegativePrefix()

  Get the negative prefix.

  Examples: -123, ($123) (with negative suffix), sFr-123

### setNegativePrefix

    public void setNegativePrefix(String newValue)

  Set the negative prefix.

  Examples: -123, ($123) (with negative suffix), sFr-123

### getPositiveSuffix

    public String getPositiveSuffix()

  Get the positive suffix.

  Example: 123%

### setPositiveSuffix

    public void setPositiveSuffix(String newValue)

  Set the positive suffix.

  Example: 123%

### getNegativeSuffix

    public String getNegativeSuffix()

  Get the negative suffix.

  Examples: -123%, ($123) (with positive suffixes)

### setNegativeSuffix

    public void setNegativeSuffix(String newValue)

  Set the positive suffix.

  Examples: 123%

### getMultiplier

    public int getMultiplier()

  Get the multiplier for use in percent, permill, etc. For a percentage, set the suffixes to have "%" and the multiplier to be 100. (For Arabic, use arabic percent symbol). For a permill, set the suffixes to have "?" and the multiplier to be 1000.

  Examples: with 100, 1.23 -> "123", and "123" -> 1.23

### setMultiplier

    public void setMultiplier(int newValue)

  Set the multiplier for use in percent, permill, etc. For a percentage, set the suffixes to have "%" and the multiplier to be 100. (For Arabic, use arabic percent symbol). For a permill, set the suffixes to have "?" and the multiplier to be 1000.

  Examples: with 100, 1.23 -> "123", and "123" -> 1.23

### getGroupingSize

    public int getGroupingSize()

  Return the grouping size. Grouping size is the number of digits between grouping separators in the integer portion of a number. For example, in the number "123,456.78", the grouping size is 3.
  See Also:
    `setGroupingSize(int)`, `NumberFormat.isGroupingUsed()`, `DecimalFormatSymbols.getGroupingSeparator()`

### setGroupingSize

    public void setGroupingSize(int newValue)

  Set the grouping size. Grouping size is the number of digits between grouping separators in the integer portion of a number. For example, in the number "123,456.78", the grouping size is 3.
  See Also:
    `getGroupingSize()`, `NumberFormat.setGroupingUsed(boolean)`, `DecimalFormatSymbols.setGroupingSeparator(char)`

### isDecimalSeparatorAlwaysShown

    public boolean isDecimalSeparatorAlwaysShown()

  Allows you to get the behavior of the decimal separator with integers. (The decimal separator will always appear with decimals.)

  Example: Decimal ON: 12345 -> 12345.; OFF: 12345 -> 12345

### setDecimalSeparatorAlwaysShown

    public void setDecimalSeparatorAlwaysShown(boolean newValue)

  Allows you to set the behavior of the decimal separator with integers. (The decimal separator will always appear with decimals.)

  Example: Decimal ON: 12345 -> 12345.; OFF: 12345 -> 12345

### clone

    public Object clone()

  Standard override; no change in semantics.
  Overrides:
    `clone` in class `NumberFormat`
  Following copied from class: `java.lang.Object`
  Returns:
    a clone of this instance.
  Throws:
    `CloneNotSupportedException` - if the object's class does not support the `Cloneable` interface. Subclasses that override the `clone` method can also throw this exception to indicate that an instance cannot be cloned.
    `OutOfMemoryError` - if there is not enough memory.
  See Also:
    `Cloneable`

### equals

    public boolean equals(Object obj)

  Overrides equals
  Overrides:
    `equals` in class `NumberFormat`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Overrides hashCode
  Overrides:
    `hashCode` in class `NumberFormat`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toPattern

    public String toPattern()

  Synthesizes a pattern string that represents the current state of this Format object.
  See Also:
    `applyPattern(java.lang.String)`

### toLocalizedPattern

    public String toLocalizedPattern()

  Synthesizes a localized pattern string that represents the current state of this Format object.
  See Also:
    `applyPattern(java.lang.String)`

### applyPattern

    public void applyPattern(String pattern)

  Apply the given pattern to this Format object. A pattern is a short-hand specification for the various formatting properties. These properties can also be changed individually through the various setter methods.

  There is no limit to integer digits are set by this routine, since that is the typical end-user desire; use setMaximumInteger if you want to set a real value. For negative numbers, use a second pattern, separated by a semicolon

  Example "#,#00.0#" -> 1,234.56

  This means a minimum of 2 integer digits, 1 fraction digit, and a maximum of 2 fraction digits.

  Example: "#,#00.0#;(#,#00.0#)" for negatives in parantheses.

  In negative patterns, the minimum and maximum counts are ignored; these are presumed to be set in the positive pattern.

### applyLocalizedPattern

    public void applyLocalizedPattern(String pattern)

  Apply the given pattern to this Format object. The pattern is assumed to be in a localized notation. A pattern is a short-hand specification for the various formatting properties. These properties can also be changed individually through the various setter methods.

  There is no limit to integer digits are set by this routine, since that is the typical end-user desire; use setMaximumInteger if you want to set a real value. For negative numbers, use a second pattern, separated by a semicolon

  Example "#,#00.0#" -> 1,234.56

  This means a minimum of 2 integer digits, 1 fraction digit, and a maximum of 2 fraction digits.

  Example: "#,#00.0#;(#,#00.0#)" for negatives in parantheses.

  In negative patterns, the minimum and maximum counts are ignored; these are presumed to be set in the positive pattern.

### setMaximumIntegerDigits

    public void setMaximumIntegerDigits(int newValue)

  Sets the maximum number of digits allowed in the integer portion of a number. This override limits the integer digit count to 309.
  Overrides:
    `setMaximumIntegerDigits` in class `NumberFormat`
  See Also:
    `NumberFormat.setMaximumIntegerDigits(int)`

### setMinimumIntegerDigits

    public void setMinimumIntegerDigits(int newValue)

  Sets the minimum number of digits allowed in the integer portion of a number. This override limits the integer digit count to 309.
  Overrides:
    `setMinimumIntegerDigits` in class `NumberFormat`
  See Also:
    `NumberFormat.setMinimumIntegerDigits(int)`

### setMaximumFractionDigits

    public void setMaximumFractionDigits(int newValue)

  Sets the maximum number of digits allowed in the fraction portion of a number. This override limits the fraction digit count to 340.
  Overrides:
    `setMaximumFractionDigits` in class `NumberFormat`
  See Also:
    `NumberFormat.setMaximumFractionDigits(int)`

### setMinimumFractionDigits

    public void setMinimumFractionDigits(int newValue)

  Sets the minimum number of digits allowed in the fraction portion of a number. This override limits the fraction digit count to 340.
  Overrides:
    `setMinimumFractionDigits` in class `NumberFormat`
  See Also:
    `NumberFormat.setMinimumFractionDigits(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.